> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1enrichmenthlranalytics



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/enrichment/hlr/analytics
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/enrichment/hlr/analytics:
    get:
      tags:
        - HlrValidations
      operationId: enrichment.hlr.analytics
      parameters:
        - name: campaign_id
          in: query
          schema:
            type:
              - string
              - 'null'
            format: uuid
        - name: team_id
          in: query
          schema:
            type:
              - string
              - 'null'
            format: uuid
        - name: campaign_send_id
          in: query
          schema:
            type:
              - string
              - 'null'
            format: uuid
        - name: object_type
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - call
              - sms
        - name: start_date
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: end_date
          in: query
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  overview:
                    type: object
                    properties:
                      totalRequests:
                        type: integer
                      successfulRequests:
                        type: integer
                      failedRequests:
                        type: integer
                      successRate:
                        type: number
                      averageResponseTime:
                        type: number
                      totalCost:
                        type: number
                    required:
                      - totalRequests
                      - successfulRequests
                      - failedRequests
                      - successRate
                      - averageResponseTime
                      - totalCost
                  retryAnalysis:
                    type: object
                    properties:
                      totalRetriedCalls:
                        type: integer
                      retriesSuccessful:
                        type: integer
                      retrySuccessRate:
                        type: number
                      averageRetriesPerCall:
                        type: number
                      maxRetries:
                        type: integer
                      costOfRetries:
                        type: number
                    required:
                      - totalRetriedCalls
                      - retriesSuccessful
                      - retrySuccessRate
                      - averageRetriesPerCall
                      - maxRetries
                      - costOfRetries
                  timeBasedMetrics:
                    type: object
                    properties:
                      peakHours:
                        type: array
                        items:
                          type: string
                      averageRetryDelay:
                        type: number
                      fastestRetrySuccess:
                        type: integer
                      slowestRetrySuccess:
                        type: integer
                    required:
                      - peakHours
                      - averageRetryDelay
                      - fastestRetrySuccess
                      - slowestRetrySuccess
                  carrierPerformance:
                    type: array
                    items:
                      type: object
                      properties:
                        carrier:
                          type: string
                        requests:
                          type: integer
                        successRate:
                          type: number
                        avgResponseTime:
                          type: number
                      required:
                        - carrier
                        - requests
                        - successRate
                        - avgResponseTime
                  statusBreakdown:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        count:
                          type: integer
                        percentage:
                          type: number
                        color:
                          type: string
                      required:
                        - status
                        - count
                        - percentage
                        - color
                  retryPatterns:
                    type: array
                    items:
                      type: object
                      properties:
                        retryAttempt:
                          type: integer
                        successRate:
                          type: number
                        count:
                          type: integer
                      required:
                        - retryAttempt
                        - successRate
                        - count
                  costAnalysis:
                    type: object
                    properties:
                      costPerRequest:
                        type: number
                      costPerRetry:
                        type: number
                      totalSavings:
                        type: number
                      roiPercentage:
                        type: number
                    required:
                      - costPerRequest
                      - costPerRetry
                      - totalSavings
                      - roiPercentage
                required:
                  - overview
                  - retryAnalysis
                  - timeBasedMetrics
                  - carrierPerformance
                  - statusBreakdown
                  - retryPatterns
                  - costAnalysis
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````